using System;
using UnityEngine;

[RequireComponent(typeof(AudioSource))]
public class OVRLipSyncContextCanned : OVRLipSyncContextBase
{
	private void Update()
	{
		if (this.audioSource.isPlaying && this.currentSequence != null)
		{
			OVRLipSync.Frame frameAtTime = this.currentSequence.GetFrameAtTime(this.audioSource.time);
			base.Frame.CopyInput(frameAtTime);
		}
	}

	public OVRLipSyncSequence currentSequence;
}
